Zum Hauptinhalt springen
GET
/
files
/
v3
/
folders
/
{folderPath}
Retrieve folder by path
curl --request GET \
  --url https://api.hubapi.com/files/v3/folders/{folderPath} \
  --header 'Authorization: Bearer <token>'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "parentFolderId": "<string>",
  "path": "<string>"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

folderPath
string
erforderlich

Path of desired folder.

Pattern: .+

Abfrageparameter

properties
string[]

Properties to set on returned folder.

Antwort

successful operation

archived
boolean
erforderlich

Marks whether the folder is deleted or not.

createdAt
string<date-time>
erforderlich

Timestamp of folder creation.

id
string
erforderlich

ID of the folder.

updatedAt
string<date-time>
erforderlich

Timestamp of the latest update to the folder.

archivedAt
string<date-time>

Timestamp of folder deletion.

name
string

Name of the folder.

parentFolderId
string

ID of the parent folder.

path
string

Path of the folder in the file manager.

Last modified on April 9, 2026